// +build !ignore_autogenerated

// This file was autogenerated by openapi-gen. Do not edit it manually!

package v1alpha1

import (
	spec "github.com/go-openapi/spec"
	common "k8s.io/kube-openapi/pkg/common"
)

func GetOpenAPIDefinitions(ref common.ReferenceCallback) map[string]common.OpenAPIDefinition {
	return map[string]common.OpenAPIDefinition{
		"gitlab.cern.ch/paas-site-operator/pkg/apis/webservices/v1alpha1.PaasSite":       schema_pkg_apis_webservices_v1alpha1_PaasSite(ref),
		"gitlab.cern.ch/paas-site-operator/pkg/apis/webservices/v1alpha1.PaasSiteSpec":   schema_pkg_apis_webservices_v1alpha1_PaasSiteSpec(ref),
		"gitlab.cern.ch/paas-site-operator/pkg/apis/webservices/v1alpha1.PaasSiteStatus": schema_pkg_apis_webservices_v1alpha1_PaasSiteStatus(ref),
	}
}

func schema_pkg_apis_webservices_v1alpha1_PaasSite(ref common.ReferenceCallback) common.OpenAPIDefinition {
	return common.OpenAPIDefinition{
		Schema: spec.Schema{
			SchemaProps: spec.SchemaProps{
				Description: "PaasSite is the Schema for the paassites API",
				Properties: map[string]spec.Schema{
					"kind": {
						SchemaProps: spec.SchemaProps{
							Description: "Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"apiVersion": {
						SchemaProps: spec.SchemaProps{
							Description: "APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"metadata": {
						SchemaProps: spec.SchemaProps{
							Ref: ref("k8s.io/apimachinery/pkg/apis/meta/v1.ObjectMeta"),
						},
					},
					"spec": {
						SchemaProps: spec.SchemaProps{
							Ref: ref("gitlab.cern.ch/paas-site-operator/pkg/apis/webservices/v1alpha1.PaasSiteSpec"),
						},
					},
					"status": {
						SchemaProps: spec.SchemaProps{
							Ref: ref("gitlab.cern.ch/paas-site-operator/pkg/apis/webservices/v1alpha1.PaasSiteStatus"),
						},
					},
				},
			},
		},
		Dependencies: []string{
			"gitlab.cern.ch/paas-site-operator/pkg/apis/webservices/v1alpha1.PaasSiteSpec", "gitlab.cern.ch/paas-site-operator/pkg/apis/webservices/v1alpha1.PaasSiteStatus", "k8s.io/apimachinery/pkg/apis/meta/v1.ObjectMeta"},
	}
}

func schema_pkg_apis_webservices_v1alpha1_PaasSiteSpec(ref common.ReferenceCallback) common.OpenAPIDefinition {
	return common.OpenAPIDefinition{
		Schema: spec.Schema{
			SchemaProps: spec.SchemaProps{
				Description: "PaasSiteSpec defines the desired state of PaasSite",
				Properties: map[string]spec.Schema{
					"fqdn": {
						SchemaProps: spec.SchemaProps{
							Description: "Fully qualified dns name",
							Type:        []string{"array"},
							Items: &spec.SchemaOrArray{
								Schema: &spec.Schema{
									SchemaProps: spec.SchemaProps{
										Type:   []string{"string"},
										Format: "",
									},
								},
							},
						},
					},
					"owner": {
						SchemaProps: spec.SchemaProps{
							Description: "Owner of the website",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"siteDescription": {
						SchemaProps: spec.SchemaProps{
							Description: "Description of the website",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"blocked": {
						SchemaProps: spec.SchemaProps{
							Description: "If a site was blocked by the network team",
							Type:        []string{"boolean"},
							Format:      "",
						},
					},
					"internetVisibility": {
						SchemaProps: spec.SchemaProps{
							Description: "Visibility of the website",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"quotaProfile": {
						SchemaProps: spec.SchemaProps{
							Description: "Visibility of the website",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"podDefaultResourcesProfile": {
						SchemaProps: spec.SchemaProps{
							Description: "Site type",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"siteCategory": {
						SchemaProps: spec.SchemaProps{
							Description: "Defines the site's lifecycle",
							Type:        []string{"string"},
							Format:      "",
						},
					},
				},
				Required: []string{"fqdn", "owner", "siteDescription", "blocked", "internetVisibility", "quotaProfile", "podDefaultResourcesProfile", "siteCategory"},
			},
		},
		Dependencies: []string{},
	}
}

func schema_pkg_apis_webservices_v1alpha1_PaasSiteStatus(ref common.ReferenceCallback) common.OpenAPIDefinition {
	return common.OpenAPIDefinition{
		Schema: spec.Schema{
			SchemaProps: spec.SchemaProps{
				Description: "PaasSiteStatus defines the observed state of PaasSite",
				Properties: map[string]spec.Schema{
					"status": {
						SchemaProps: spec.SchemaProps{
							Description: "Return code of the last operation",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"errorMessage": {
						SchemaProps: spec.SchemaProps{
							Description: "Error message in case of error",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"currentOwner": {
						SchemaProps: spec.SchemaProps{
							Description: "Current owner of the website",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"currentFqdn": {
						SchemaProps: spec.SchemaProps{
							Description: "Current fqdn",
							Type:        []string{"array"},
							Items: &spec.SchemaOrArray{
								Schema: &spec.Schema{
									SchemaProps: spec.SchemaProps{
										Type:   []string{"string"},
										Format: "",
									},
								},
							},
						},
					},
					"blockedStatus": {
						SchemaProps: spec.SchemaProps{
							Description: "Current block status",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"lastModificationDate": {
						SchemaProps: spec.SchemaProps{
							Description: "Date of the last change done by the owner in the site's namespace (so we know if a site is still being maintained). Needs to be recalculated on a regular basis (watch changes on secondary resources?)... Can we really define this for an openshift site? If not, better not set this at all.",
							Type:        []string{"string"},
							Format:      "",
						},
					},
				},
				Required: []string{"status", "errorMessage", "currentOwner", "currentFqdn", "blockedStatus", "lastModificationDate"},
			},
		},
		Dependencies: []string{},
	}
}
